Status: Resolved Priority: Should have
Author: Adrian Foder Category: Core

Created: 2012-03-14 Assigned To: Christian Mdiller
Updated: 2012-03-23 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git master

Subject: flow3:cache:flush should care about the .Shortcuts state

Description

Currently, after renaming a package path (name; from Foo to Acme.Foo) manually, flow3:cache:flush resulted in an error a class
couldn't be found (naming the correct, new namespace).

So, for example, the old namespace was

Foo\ViewHelpers\BarViewHelper

while the new one, after renaming, is

Acme\Foo\ViewHelpers\BarViewHelper

(located in Packages/Application/Acme.Foo/Classes/....); and the corresponding error message was

Class Acme\Foo\ViewHelpers\BarViewHelper could not be found

which means, he correctly looked for the new, actually intended one; but didn't have the file available.

The reason was that .Shortcuts didn't contain that (new) package path's representation.
IRC suggestion was to remove .Shortcuts completely, in order to get it rebuilt from scratch, when calling flow3:cache:flush.

Associated revisions

Revision 6d13ef27 - 2012-03-23 12:08 - Christian Miiller

[BUGFIX] Clear .Shortcuts on cache flush command

In case some directories were renamed you are able to get

back to a defined state with the cache:flush command.

It will also clean the .Shortcuts directory to prevent

mismatches.
Change-Id: Ic5ca9f1d10a07f7b70c36fdcal52e46e8e87ee7d

Fixes: #34837
Releases: 1.1
History

#1 - 2012-03-14 15:36 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9648

#2 - 2012-03-14 15:37 - Christian Muller
- Assigned To set to Christian Miller

#3 - 2012-03-14 17:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9648

#4 - 2012-03-23 12:10 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9648

#5 - 2012-03-23 12:14 - Sebastian Kurfuerst

- Status changed from Under Review to Resolved
- Target version setto 1.1 beta 1

- % Done changed from 0 to 100

2015-08-03

22


http://review.typo3.org/9648
http://review.typo3.org/9648
http://review.typo3.org/9648

